#
# spec file for package nmapsi4
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nmapsi4
Version:        0.4.1
Release:        1.2
Summary:        A Graphical Front-End for Nmap
License:        GPL-2.0
Group:          Productivity/Networking/Diagnostic
Url:            http://nmapsi.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  bind-utils
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  libQtWebKit-devel
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files
Requires:       nmap
Requires:       xdg-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
NmapSI4 is a complete Qt4-based Gui with the design goals to provide
a complete nmap interface for Users, in order to management all option
of this power security net scanner

%prep
%setup -q

#or use %kde4_runtime_requires (USE_KDELIBS -> mainwindow.h)
sed -i 's|kdesu\ nmapsi4|%{_bindir}/xdg-su\ -c\ %{_bindir}/%{name}|;/^X-*/d' \
src/desktop/%{name}-admin.desktop
sed -i 's|kde4/||' src/CMakeLists.txt

%build
# FIXME: you should use %%cmake macros
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%suse_update_desktop_file %{name} Network Monitor
%suse_update_desktop_file %{name}-admin Network Monitor

%files
%defattr(0755,root,root)
%{_bindir}/%{name}
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale/
%{_datadir}/%{name}/locale/%{name}_*.qm
%{_datadir}/applications/%{name}-admin.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/dbus-1/interfaces/org.%{name}.Nmapsi4.xml

%changelog
* Thu Oct 23 2014 avvissu@yandex.ru
- Upadate to 0.4.1
- Spec file cleanup
- Change .desktop and CMakeLists.txt files
* Wed Feb 23 2011 detlef@links2linux.de
- new upstream version <0.2.1>
* Sat Dec 20 2008 detlef@links2linux.de
- new upstream version <0.1.1>
* Mon Jul 21 2008 detlef@links2linux.de
- new upstream version <0.1>
* Sun Jan 13 2008 detlef@links2linux.de
- new upstream version <0.1rc1>
* Sat Dec  1 2007 detlef@links2linux.de
- new upstream version <0.1beta3>
* Thu Nov  1 2007 detlef@links2linux.de
- first build for packman <0.1beta2>
